/* 资格证接口 */
import { bktRequest } from '../../utils/request';


// 资格证证新增报名
export const qualify_applyPersonApply = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/person/apply', data});
};
// 资格证报名列表-保安公司
export const qualify_trainQualifyApplyLearnPage = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/learn/page', data});
};
// 资格证查看报名详情
export const qualify_applyInfo = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/info', data});
};
// 申诉
export const qualify_applyAppeal= (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/appeal', data});
};
// 判断申诉
export const qualify_appealApplyOnDutyCheck= (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/appealApplyOnDutyCheck', data});
};
// 申诉机构
export const qualify_appealOrg= (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/appeal/org', data});
};
//保安员资格证培训信息抽查
// export const test= (data = {}) => {
//   return bktRequest({url: '', data});
// };

/* 培训公司 */
// 资格证报名列表-保安公司
export const qualify_applyTrainPage = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/train/page', data});
};
// 资格证材料审核通过-培训公司
export const qualify_applyDealMaterialApprove = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/dealMaterialApprove', data});
};
// 资格证材料审核不通过-培训公司
export const qualify_applyMaterialApproveReject = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/materialApproveReject', data});
};
// 资格证材料审核-报名详情-修改记录
export const trainQualifyApplyInfoModifyLog = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/info/modifyLog', data});
}
// 资格证材料审核-报名详情-修改记录
export const trainQualifyApplyPersonApplyUpdate = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/person/apply/update', data});
}

// 等级证-取消报名【等级证】
export const qualify_trainQualifyApplyCancel = (data = {}) => {
  return bktRequest({url: '/train/qualify/apply/cancel', data}, {errMsg: false});
}

/*自然人报名*/
//下单缴费--获取培训机构下的资格证trackId
export const qualify_CourseroleGetTrackId = (data = {}) => {
  return bktRequest({url: 'train/organ/courserole/getTrackId', data});
}

//自然人资格证报名列表
export const qualify_NaturalTrainPage = (data = {}) => {
  return bktRequest({url: 'train/qualify/apply/naturalTrain/page', data});
}

//资格证-待抽查列表
export const qualify_checkReady = (data = {}) => {
  return bktRequest({url: 'train/apply/check/ready/page', data});
}

//资格证-已抽查记录列表
export const qualify_checkChecked = (data = {}) => {
  return bktRequest({url: 'train/apply/check/checked/page', data});
}

//资格证等级证-个人学习记录
export const qualify_selectProofList = (data = {}) => {
  return bktRequest({url: 'train/apply/check/selectProofListByApplyId', data});
}

//资格证-抽查
export const qualify_fyApplyInfoCheck = (data = {}) => {
  return bktRequest({url: 'train/apply/check/qualifyApplyInfoCheck', data});
}

//资格证-判断是否第三方培训机构
export const qualify_getcurrentorgan = (data = {}) => {
  return bktRequest({url: 'train/organ/trainorgan/getCurrentOrganInfo', data});
}

//资格证-编辑完成学习
export const qualify_setStudyComplete = (data = {}) => {
  return bktRequest({url: 'train/system/group/study/complete', data});
}